export class Publicacion {
  id: string;
  foto: string;
  titulo: string;
  descripcion: string;
  contenido: string;
  fecha: string;

  constructor(json?: Partial<Publicacion>) {
    this.id = "";
    this.foto = "";
    this.titulo = "";
    this.descripcion = "";
    this.contenido = "";
    this.fecha = "";
    if (json !== null) {
      Object.assign(this, json);
    }
  }

  static fromJson(json: Partial<Publicacion>) {
    return new Publicacion(json);
  }
}
